MAI Image 2.6
Model ID microsoft/mai-image-2.6/text-to-image
概览
支持可选联网搜索的写实图像生成模型。
接口
POST /v1/images/generations/async
认证
Authorization: Bearer <AIAPIAIAPI_API_KEY>
请求体
| 参数 | 类型 | 必填 | 可空 | 默认值 | 约束 | 说明 |
|---|---|---|---|---|---|---|
model | string | 是 | 否 | - | values: microsoft/mai-image-2.6/text-to-image | 用于路由请求的模型 ID。 |
prompt | string | 是 | 否 | - | - | 描述所需图像的文本提示词。 |
size | string | 否 | 否 | `default` | - | default、auto 或 WIDTHxHEIGHT;宽高为 768 至 2346 像素,总像素不超过 2359296。 |
enable_web_search | boolean | 否 | 否 | `false` | - | 使用联网搜索为图像生成提供实时信息。 |
model
类型:string · 必填:是 · 可空:否
用于路由请求的模型 ID。
prompt
类型:string · 必填:是 · 可空:否
描述所需图像的文本提示词。
size
类型:string · 必填:否 · 可空:否
default、auto 或 WIDTHxHEIGHT;宽高为 768 至 2346 像素,总像素不超过 2359296。
enable_web_search
类型:boolean · 必填:否 · 可空:否
使用联网搜索为图像生成提供实时信息。
请求示例
curl --request POST \
--url https://aiapiaiapi.com/v1/images/generations/async \
--header 'Authorization: Bearer $AIAPIAIAPI_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"model": "microsoft/mai-image-2.6/text-to-image",
"prompt": "A cinematic camera movement through a forest"
}'JSON
{
"model": "microsoft/mai-image-2.6/text-to-image",
"prompt": "A cinematic camera movement through a forest"
}响应
{
"code": "success",
"message": "",
"data": { "task_id": "image_01K2ABC123" }
}任务状态
使用创建响应中的 task_id 查询:
GET /v1/images/generations/async/{task_id}
{
"code": "success",
"message": "",
"data": {
"task_id": "image_01K2ABC123",
"status": "SUCCESS",
"progress": "100%",
"outputs": ["https://cdn.example.com/images/image_01K2ABC123.png"],
"start_time": 1786960805,
"finish_time": 1786960900,
"submit_time": 1786960800,
"fail_reason": ""
}
}错误响应
参数校验错误返回 HTTP 400,并包含稳定的错误代码。
{
"code": "unsupported_parameter",
"message": "The parameter is not supported by this model.",
"data": null
}文档索引
获取完整文档索引:
https://aiapiaiapi.com/llms.txt
使用该文件发现所有可用的 API 文档。